
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>DoJa平台手机游戏的开发与移植 / iVAN</title>

    <meta name="description" content="DoJa平台手机游戏的开发与移植 一,DoJa技术简介 简单的说,DoJa是日本最大的移动通讯公司NTT DoCoMo的专利技术.而i-mode是该公司对于移动通讯2.5G阶段的一种应用模式,这个技术覆盖很多方面.i-mode初始于1999年,而i-mode与JAVA结合诞生的i-appli服务初始于2001年,以JAVA为开发语言的i-mode被称为DoJa技术,DoJa技术实际上是基于CLDC规范之上的平台技术,与J2ME标准平台是平行.有独立的API类库.在J2ME标准平台上开发的移动通讯程序叫做MIDP程序,符合MIDP">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">DoJa平台手机游戏的开发与移植</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一,DoJa技术简介 </strong></p>
<p>简单的说,DoJa是日本最大的移动通讯公司NTT DoCoMo的专利技术。而i-mode是该公司对于移动通讯2.5G阶段的一种应用模式,这个技术覆盖很多方面。i-mode初始于1999年,而i-mode与JAVA结合诞生的i-appli服务初始于2001年,以JAVA为开发语言的i-mode被称为DoJa技术,DoJa技术实际上是基于CLDC规范之上的平台技术,与J2ME标准平台是平行。有独立的API类库。在J2ME标准平台上开发的移动通讯程序叫做MIDP程序，符合MIDP1.0或2.0规范。而在DoJa平台上开发的程序被叫做appli程序。DoJa现在已经有很多版本。最高版本DoJa4.0。</p>
<p><strong>二,DoJaAPI预览</strong></p>
<p>我们以现在通用的DoJa2.5版本的API为例,大致看一下它有哪些特色。<br />2.5版本包括下面几个包:</p>
<table>
<tbody>
<tr>
<td>com.nttdocomo.device</td>
<td>包含了可以控制设备的类,比如camera类 </td>
</tr>
<tr>
<td>com.nttdocomo.io</td>
<td>包含一些在CLDC的GCF( Generic Connection Framework)框架之下的类</td>
</tr>
<tr>
<td>com.nttdocomo.lang</td>
<td>包含语言类</td>
</tr>
<tr>
<td>com.nttdocomo.net</td>
<td>包含了用于网络通讯方面的类</td>
</tr>
<tr>
<td>com.nttdocomo.opt.ui</td>
<td>包含了一些创建用户界面可选的类</td>
</tr>
<tr>
<td>com.nttdocomo.opt.ui.j3d</td>
<td>包含了可创建3D图形的类,也是可选的</td>
</tr>
<tr>
<td>com.nttdocomo.system</td>
<td>包含了一些可使用于本地终端功能的类,像操作手机电话本,收发Email等。</td>
</tr>
<tr>
<td>com.nttdocomo.ui</td>
<td>包含了一些用于创建用户界面的类</td>
</tr>
<tr>
<td>com.nttdocomo.util</td>
<td>包含一些工具类</td>
</tr>
</tbody>
</table>
<p>可以看出DoJaAPI比标准J2ME更加丰富。一般在开发和移植过程中,经常遇到的类库就是com.nttdocomo.ui包，所以我们大致看一下这里面都有哪些类。 这个包中包含了appli程序的入口类， Iapplication类，appli程序的用户界面（GUI）也分高级界面和低级界面，只不过他们的继承关系有些混乱，比如Component类是定义用于高级界面的抽象类，它有九个子类。包含一些按钮，标签，文本框的一些类。实际上就是一些组件。不是容器类。而Frame类也是一个抽象，意思是可表示为一个框架或容器。<br />它的子类有Canvas，Dialog，Panel.其中Dialog和Panel属于高级界面类，而Canvas则用于低级界面。用于显示界面的类叫Display，而它的显示屏幕的方法为setCurrent（Frame f），里面的参数为Frame类对象。说明像Component类型的子类是不能独立显示在界面上的，要通过Frame子类中的高级界面类来填加。也就是必须放在Panel上面，才能被显示出来。<br />其它的还有用于画图的Graphics，Graphics2D，Graphics3D类，负责加载媒体资源的MediaManager类等等。因为类很多，而且功能复杂和强大，就不一一介绍了，可以参考API文档进一步学习。<br /><strong>三，appli程序开发</strong><br />下面我们通过一个小程序来讲解如何开发一个appli的程序。工欲善其事必先利其器，我们要下载一个DoJa的专用模拟器才行。<br />好在DoJa的API文档和模拟器以及使用方法在http://www.doja-developer.net都已经给全了。下载对应DoJa2.5版本的模拟器。名字叫javaappli Development Kit for DoJa-2.5版本为 1.03，然后安装上就可以了。<br />打开模拟器，会出现类似WTK的窗口，不同的是一个手机模拟器的窗口也会一起出现，而且还有个命令行模式的窗口。<br />仔细看一下，其实界面功能挺简洁的，菜单栏有文件，工程，编辑，设备，帮助几个选择，工具栏包括新建项目，打开项目，ADF配置，创建，运行这些选项。下面还有一些运行模式的选择。当然这些项目都是英文的。 什么是ADF配置呢，这里讲一下appli的安装程序也包括jar打包文件和一个描述文件，不同的是这个描述文件的类型为.jam.而ADF中的设置就是相当于WTK中的setting.也就是用于jam文件描述的项目。 好了，我们先新建立一个工程，点new project,会出现一个提示窗口，让你输入工程名称，上面还有一个参考工程的选择，这个不用管它。我们的工程名就叫Test_doja. 点create创建。<br />然后在这个窗口会显示一些我们创建的信息。比如我的模拟器安装路径是D盘根目录。那么会显示下面信息：<br />Placed java source files in D:\jDKDoJa2.5\apps\Test_doja\src Placed resource files in D:\jDKDoJa2.5\apps\Test_doja\res Placed Scratchpad file in D:\jDKDoJa2.5\apps\Test_doja\sp<br />说明在模拟器的apps目录下，就是我们创建的工程目录。里面还有三个文件夹,scr用来放.java文件，res用来放资源,sp用来存放Scratchpad文件。这个Scratchpad这里要详细讲一下。 appli模式简单说就是客户手机通过连接 I – mode服务器来获得其它的网络资源。这些资源可以来自不同的网站。手机用单独有一块类似硬盘的区域用来存储这些资源，叫做Scratchpad，一般的DoJa手机游戏都是先从网络上下载资源到Scratchpad里，然后再从Scratchpad中读取来用。而且Scrtchpad是可写的，可以保存游戏信息。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 06:29:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e7%95%8c%e9%9d%a2/" title="界面">界面</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%ba%9b/" title="一些">一些</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e6%8b%9f%e5%99%a8/" title="模拟器">模拟器</a>, <a href="https://www.iamivan.net/tag/%e6%b8%b8%e6%88%8fgooglebeta-testing/" title="游戏googlebeta testing">游戏googlebeta testing</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>DoJa平台手机游戏的开发与移植的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxgxGRb.html" rel="bookmark">手机游戏大体开发步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我想做一个抛硬币的手机游戏,以便有事的时候,随时可以用手机解决问题,我希望的功能:1有一个动态的上抛,下落的画面2有一个由左右控制正反面的选择界面,并最终提示猜测是否正确.问题:1如何实现上述功能,我希望有步骤.2用什么开发工具.3如果我的手机是s60v2系列,能否我自己开发后,安装在自己的手机上. 解决方案 解决方案二:冒昧的问一下楼主,你的java或c++怎么样?解决方案三:你先确定用JAVA还是C++吧,两者的框架是不同的解决方案四:如果只是做着玩的话1.一个GameCanvas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWDqwrp.html" rel="bookmark">手机游戏虚火：平台难抉择SNS化或成新出路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				11月22日报道,&quot;上联:机会面前横竖都是活;下联:台风来了是猪都会飞.横批:唯快不破.&quot;这副对联曾被众多国内移动互联网人士引用,以彰显当前无线领域创业之利好. 事实果真如此吗? 在摩卡世界CEO宋啸飞看来,无论是基于苹果iOs,还是谷歌 Android平台,众多移动互联网应用只是表面热闹,呈现虚火症状,在手机游戏领域尤为严重. 眼下,整个游戏行业,PC端正在萎缩,网页游戏快速发展期已过,而高端智能机将手机游戏和电脑游戏在感观方面的差距拉近,这一领域正变得炙手可热,成为许多创业者瞄准的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnK5OM.html" rel="bookmark">传统网游厂商加速分食手机游戏市场</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				日前,天津唐图科技有限公司获得上海联合水泥有限公司注资1000万元,格锐数码公司的手机游戏进入东欧7个国家市场--随着3G时代的来临,手机游戏盈利模式愈加清晰,成为众多公司的必争之地. 手机游戏未来3年将暴增10倍 &quot;随着3G的推广,未来3年内,手机游戏将会出现爆发式的增长,这种增长是数量级的增长,至少能有现在规模的10倍.&quot;天津唐图科技有限公司运营总监苏震的判断有数据支撑.艾瑞咨询发布的数据显示,2008年全球手机游戏市场规模达54亿美元, 同比增长22.7%.我国手机游戏市场营收规			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqJEkYp.html" rel="bookmark">09年中国手机游戏产业发展研讨会今日在京举行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				11月20日消息,中国手机游戏产业发展研讨会在北京市石景山区铂尔曼酒店举行.工信部.文化部.北京市政府.中国软件行业协会各相关领导以及手机游戏企业代表.投资商代表等150多人参加了会议. 工信部软件司郭建兵副司长,文化部市场司庹祖海副司长对国家发展手机动漫产业的政策与举措进行了阐述.石景山区副区长石玉贵讲解了北京市地方政府对手机动漫产业发展的扶持政策和办法,中国软件行业协会游戏软件分会刘金华会长就如何发展手机游戏产业发表了讲话. 与会代表热烈讨论了手机游戏行业的现状及发展,一致认为3G时代无线带			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJm33wp.html" rel="bookmark">第一视频斥资1&period;96亿元收购手机游戏商3GUU</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				12月7日上午消息,第一视频宣布将斥资1.96亿元收购 手机网络游戏平台开发与运营商3GUU 70%股份. 3GUU是一家专注与智能手机的手机游戏自主开发和运营,其总部位于中国广州.公告披露数据显示,3GUU 2008年和2009年的税后净利润为527万元和600万元. 第一视频公告称,收购代价中5880万元人民币以现金支付,而余额1.37亿元人民币按每股2.34港元发行6860万股代价股支付. 公告称,3GUU是中国移动手机游戏业务紧密合作伙伴,优质游戏合作CP,手机网游业务一直占据中国移动手			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo0OZBM.html" rel="bookmark">第一视频1&period;96亿元收购手机游戏开发商3GUU</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2010年12月30日上午消息,第一视频公告发布公告称,公司已经于多家机构达成收购协议,将以1.96亿元收购 手机网络游戏平台开发与运营商3GUU 70%股份. 第一视频发布公告称,公司连同其全资附属公司Action King于2010年12月29日签订正式协议,向Trilogic Investments.CMHJ Technology及Natixis Ventech分布收购43%.18%及9%待售股份,占3GUU已发行股本70%. 第一视频公告称,收购代价中5880万元人民币以现金支付,而余额			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmXmdqM.html" rel="bookmark">别让手机游戏&OpenCurlyDoubleQuote;游戏&rdquo;你的手机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 近年来,随着国内手机市场的持续发展和日益壮大,手机功能不断升级完善,电脑游戏&quot;独裁&quot;的时代随着第一款手机游戏的开发而宣告结束.手机游戏繁多的类别,多样的游戏风格已逐步被人群所接纳,并就其独特的空间可移动性,快速的成为大众所趋.诚然,手机游戏的推广使许多人群得到了前所未有的游戏体验和经历,但你是否知道,被所谓&quot;黑客			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjZ1ymb.html" rel="bookmark">巨额投资背后 手机游戏是泡沫还是潮流</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				12月30日,http://www.aliyun.com/zixun/aggregation/30442.html&quot;&gt;第一视频发布公告将以1.96亿元收购 手机网络游戏平台开发与运营商3GUU 70%股份,使得手游市场再次成为本周移动互联资本圈热议的焦点.就在上周末一则A股上市公司 博瑞传播以最高 4000万美元的价格收购Triniti晨炎的公告成就引起了轩然大波. 这些案例折射出产业资本对移动互联网.尤其手机娱乐应用等细分市场开始布局落子.后者已成VC竞逐的未来&quot;万亿金矿&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9q0ZXM.html" rel="bookmark">中国手机游戏市场产业链分析 仍处市场培育阶段</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				手机游戏泛指所有在手机终端上运行的游戏,中国手机游戏的发展按时间顺序大致经历了以下几个阶段: 第一阶段(1997-2000年)以内置单机游戏为主,例如很多诺基亚手机内置了贪吃蛇游戏,这是很多手机用户都曾经玩过的一款简单游戏.这个阶段手机的普及率比较低,更不要说手机游戏的发展了,自然也是在刚刚起步阶段,手机游戏开发商将游戏产品销售给手机厂商,以手机出厂时内置游戏为主. 第二阶段(2001-2004年)出现了SMS文字游戏及可下载的单机游戏.WAP手机网络游戏,例如可下载的单机游戏有移动百宝箱单机游			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxjQRz.html" rel="bookmark" class="title">XML和JSP交互技术</a>
					<div>
						js|xml|交互 XML和JSP都是近两年才出现的技术,目前已经成为了很多程序员的热点话题.XML(可扩展的标记语言)是用来定义文档标记语言的框架,主要用来存储和发送数据信息,以便各种基于WEB的应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boEN6p.html" rel="bookmark" class="title">修饰之美：CSS在表格边框上的美学应用</a>
					<div>
						css 我们知道Dreamweaver在表格制作方面做得非常出色,但是在某些时候还是必须结合css才能达到一些特定效果,下面我们先把有关表格边框的css语法整理出来,然后另外介绍怎样用css美化表格的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxmKyp.html" rel="bookmark" class="title">中文Access2000速成教程--目录</a>
					<div>
						access|教程|速成|中文 使用中文Access 2000可以从单一的数据库文件中组织用户信息.在此文件中,可将数据分开放在名为&quot;表&quot;,也就是前面所说的&quot;数据表&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxkOBb.html" rel="bookmark" class="title">开启网站的核心服务提升整体收入</a>
					<div>
						在竟争日誉激烈的今天,我们靠什么来赢得更多的用户,靠什么来留住有潜力的客户?核心服务,通过核心服务就有了根本的竟争力,虽然很多的企业都了解这个道理,但却往往忽略了核心服务的重要性,以及怎样提升核心服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeOO9M.html" rel="bookmark" class="title">停下来是为了更好地做对SEO</a>
					<div>
						你有没有在某一天的深夜里,面对闪烁不定的显示屏时,突然四顾茫然,反问自己:我在做的这一切,是否真的做对了?是否真的做得有价值?是否真的达到我的目的? 当我看到A5.chinaz.im286这些站长热门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl7qkb.html" rel="bookmark" class="title">oracle RMAN备份FORMAT格式中&percnt;a是什么意思</a>
					<div>
						今天三思问我一个问题:RMAN备份FORMAT格式中%a的含义. 其实Oracle的文档有这个表述: %a Specifies the activation ID of the database. 不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw0Axz.html" rel="bookmark" class="title">win8怎么获取最高权限</a>
					<div>
						  win8怎么获取最高权限 1.右键单击要更改权限的文件夹,依次选择属性--安全--高级--所有者--更改 ,高级--立即查找,把&quot;Everyone&quot;添加进去,并确认. 2.编辑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yaWQz.html" rel="bookmark" class="title">asp提取文章内容描述&lpar;去除图片，html连接&rpar;</a>
					<div>
						asp教程提取文章内容描述(去除图片,html连接)    &lt;body&gt;         &lt;script type=&quot;text/vbscript&quot;&gt;     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKk0mp.html" rel="bookmark" class="title">光影魔术手自动曝光在什么时候做比较好？</a>
					<div>
						  可以说,任何图象效果的处理(如PS),都会引起失真.为了降低这种失真,我们在做特效处理的时候,要尽可能提供图象原始数据.所以,先做特效处理,处理完成以后,再做自动曝光.边框等.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXGJ7p.html" rel="bookmark" class="title">Photoshop制作个性化签名水印</a>
					<div>
						  很多人都喜欢在作品上加入水印,用以保障相片的版权.今天PS教程带来摄影师Kishore Sawh 的方法则教你把个人签名 (或印章) 制成更有个人特色的签名水印. 图00 1. 先签个大名 真的需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o6AWb.html" rel="bookmark" class="title">艾奇文件数据恢复软件帮你解决回收站清空问题</a>
					<div>
						  一般情况下,在本地磁盘删除的文件都会进入到系统回收站,但是如果清空了系统回收站(Shift+Delete不进入回收站),则意味着永久性删除.但是刚刚清空的一瞬间,又发现其中有部分文件非常重要,那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7jyAM.html" rel="bookmark" class="title">找回桌面上被删除的回收站图标</a>
					<div>
						桌面上的回收站不小心被删除了,想恢复被删除到回收站的文件都没有办法,怎么样找回这个图标呢?下面给大家介绍一个简单的方法: 开始-&gt;运行中输入regedit打开注册表编辑器. 找到HKEY_LOC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EG2kM.html" rel="bookmark" class="title">U盘恢复出厂设置的三大方案</a>
					<div>
						  随着学习和工作上的要求,U盘成了每个人身边必备的一个移动存储设备,U盘以小巧.灵活的特点受到了广大用户的喜欢,虽然很方便,但也会出现一些小故障,这时候用户就常用的解决方法就是把U盘恢复到出厂设置, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywkakz.html" rel="bookmark" class="title">root-Linux系统，账户密码正确但无法登入</a>
					<div>
						问题描述 Linux系统,账户密码正确但无法登入 ..Oracle账户也登不上去.我想,也许所有的账户都无法登陆吧.. 已重新安装系统..问题关闭..话说..csdn怎么关闭问题.. -------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB7ZNz.html" rel="bookmark" class="title">新零售时代的创新</a>
					<div>
						本文整理自2017云栖大会-上海峰会中阿里云企业业务事业部新零售总经理陶锦的分享讲义,讲义主要介绍了对新零售趋势的展望,对新零售业务能力的规划,和新零售的数字化解决方案.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo4Kjb.html" rel="bookmark" class="title">如何获取Linux中某个命令的源代码</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1639605 一句 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAqQ2M.html" rel="bookmark" class="title">32位-用Python做web 选择什么服务器软件？除了apache</a>
					<div>
						问题描述 用Python做web 选择什么服务器软件?除了apache apapce只能选择32位的Python解释器 ? Apache只有32位的? 用Python写网站 除了apache 还可以用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWowvz.html" rel="bookmark" class="title">Lucene分词后的结果</a>
					<div>
						问题描述 我使用FieldAnalysisRequest输出的结果是[半圆.木.Φ.200].如何得到分词之后的最终结果,即经过tokenizer和filter之后的结果[半圆.木.200]?请各位指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydk2Pb.html" rel="bookmark" class="title">解决小米4C手机老是黑屏的问题</a>
					<div>
						原因一:距离感应器 这个也是小米手机的一个自带的功能,我们如果是因为它可以尝试一下在手机中&quot;启用距离感应器&quot;关掉,我们在小米4C手机界面中点击&quot;设置&quot;-&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJALR7p.html" rel="bookmark" class="title">《编译与反编译技术实战 》一2&period;3　编译器的设计与实现概述</a>
					<div>
						2.3 编译器的设计与实现概述 根据不同的用途和侧重点,编译程序可以进一步分类,换句话说,有许多不同种类的编译器变体.譬如:用于帮助程序开发和调试的编译程序称为诊断编译程序,这类编译器可对程序进行详细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjnBQM.html" rel="bookmark" class="title">Gmail新版界面发布，主要功能一览</a>
					<div>
						根据Gmail官方博客报道,在对Gmail进行了重新设计和几周的用户测试之后,Gmail在今天发布了新版的界面,Gmail的用户可以切换到新版界面进行试用,而在目前,所有Gmail的用户登录邮箱,在G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx03BQM.html" rel="bookmark" class="title">调度器之 Kubernetes</a>
					<div>
						本文讲的是调度器之 Kubernetes,[编者的话]本文作者向大家简单阐述了Kubernetes的组成和设计,以及相对于单体调度器的改进. 在上一篇文章中,我介绍了调度的概念,并且调研了2个基础单块 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rya7z.html" rel="bookmark" class="title">oracle语句------SQL 语句是否能执行</a>
					<div>
						问题描述 -----SQL 语句是否能执行 请教下 下面的语句能否能删除某表的记录,我看不懂呢! delete from CCPS_PAYNUM_LIMIT_ELEMENT e WHERE INSTR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeQ24M.html" rel="bookmark" class="title">新剧发行中网上遭&OpenCurlyDoubleQuote;盗播&rdquo;</a>
					<div>
						新&lt;水浒传&gt;的网络&quot;抢播&quot;事件还未平息,另一部电视剧&lt;大潮如歌&gt;还没发行,便已经被不少网站拿来播出了.该剧制片人李先生昨天接受记者采访表示,片方已经向盗播该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eEDjb.html" rel="bookmark" class="title">沈南鹏陷一茶一坐资本困局：连续7年亏损，面临12家加盟商诉讼</a>
					<div>
						一茶一坐加盟商向记者展示了一茶一坐芳汇店账本,账本中现57万元假发票,35万元虚构发票 理财一周报记者/蔡燕兰 资本高手沈南鹏这一次能否让&quot;点石成金&quot;的投资传奇上演? 2005年, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xwjob.html" rel="bookmark" class="title">中国联通签约乐语沃3G业务落地800家门店</a>
					<div>
						新浪科技讯 6月30日下午消息,中国联通与乐语通讯今日签订战略合作协议,乐语通讯将在其全国800家门店推广中国联通的各项通信业务和产品. 双方签约后,乐语通讯将在全国800家门店设立中国联通业务受理区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2W5kz.html" rel="bookmark" class="title">500亿浙资泪别山西煤矿</a>
					<div>
						&quot;在山西投资煤矿的浙商可能有7成以上会倾家荡产,春节肯定有很多人都过不好了.&quot; 本刊记者 何晓春 &quot;在山西投资煤矿的浙商资本肯定不止有关方面估计的500亿元,大约在500 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44R29z.html" rel="bookmark" class="title">在 Ubuntu 16&period;04 为 Nginx 服务器安装 LEMP 环境（MariaDB，PHP 7 并支持 HTTP 2&period;0）&lowbar;Linux</a>
					<div>
						LEMP 是个缩写,代表一组软件包(L:Linux OS,E:Nginx 网络服务器,M:MySQL/MariaDB 数据库和 P:PHP 服务端动态编程语言),它被用来搭建动态的网络应用和网页. ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk4ALp.html" rel="bookmark" class="title">jQuery版AJAX简易封装代码&lowbar;jquery</a>
					<div>
						开发过程中,AJAX的应用应该说非常频繁,当然,jQuery的AJAX函数已经非常好用,但是小编还是稍微整理下,方便不同需求下,可以简化输入参数,下面是实例代码: $(function(){ /**  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8kAWb.html" rel="bookmark" class="title">Android 下都用什么来测试程序呢？</a>
					<div>
						问题描述 最近几天查了下Android下测试的例子.写一个类继承自AndroidTestCase,然后在里面写相应的测试类.运行是查看JUint.这样测试的结果是什么呢?对于窗体泄露.内存泄露能查到吗 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
